Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class StyleList

    java.lang.Object
      org.deegree.portal.context.StyleList

    public class StyleList

extends Object

encapsulates a StyleList as defined by the OGC Web Map Context specification

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`StyleList(Style[] styles)` Creates a new StyleList object.

Method Summary
`void` | `addStyle(Style style)`
`void` | `clear()`
`Style` | `getCurrentStyle()` returns the current style
`Style` | `getStyle(String name)`
`Style[]` | `getStyles()` returns an array of all styles known by a layer
`Style` | `removeStyle(String name)`
`void` | `setStyles(Style[] styles)` sets alla styles known by a layer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleList

    public StyleList(Style[] styles)
              throws ContextException

  Creates a new StyleList object.

  Parameters:
    `styles` -
  Throws:
    `ContextException` - if the given styles are `null` or empty.

Method Detail

### getStyles

    public Style[] getStyles()

  returns an array of all styles known by a layer

  Returns:
    all styles

### setStyles

    public void setStyles(Style[] styles)
                   throws ContextException

  sets alla styles known by a layer

  Parameters:
    `styles` -
  Throws:
    `ContextException`

### getCurrentStyle

    public Style getCurrentStyle()

  returns the current style

  Returns:
    current style

### getStyle

    public Style getStyle(String name)

  Parameters:
    `name` -
  Returns:
    named style

### addStyle

    public void addStyle(Style style)

  Parameters:
    `style` -

### removeStyle

    public Style removeStyle(String name)

  Parameters:
    `name` -
  Returns:
    removed style

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org